// ************************************************************************
// ******************************  common  ********************************
// ************************************************************************
// ************************************************************************

textures/ujfm-z3qn5rw/caulk_nodamage
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodamage
}

textures/ujfm-z3qn5rw/caulk_nonsolid
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
}

textures/ujfm-z3qn5rw/caulk_slick
{
	qer_trans 0.4
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm playerclip
	surfaceparm slick
	surfaceparm nodamage
}

textures/ujfm-z3qn5rw/caulk_water
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water
}

textures/ujfm-z3qn5rw/skip
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm skip
}

textures/ujfm-z3qn5rw/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm hint
}

// ************************************************************************
// *******************************  sky  **********************************
// ************************************************************************
// ************************************************************************

textures/ujfm-z3qn5rw/blacksky
{
	qer_editorimage textures/ujfm-z3qn5rw/blacksky_ft.tga
	q3map_lightmapFilterRadius 0 4
	q3map_lightsubdivide 256
	q3map_backsplash 0 0
	q3map_noFog

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodlight
	surfaceparm nodamage

	skyparms textures/ujfm-z3qn5rw/blacksky - -

	nopicmip
	nomipmaps
}

// ************************************************************************
// *****************************  crystal  ********************************
// ************************************************************************
// ************************************************************************

textures/ujfm-z3qn5rw/crystal
{	
	qer_editorimage textures/ujfm-z3qn5rw/crystal.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm slick
	surfaceparm nodamage
	q3map_surfaceLight 500
	cull none
	{
		map textures/ujfm-z3qn5rw/crystal.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map textures/ujfm-z3qn5rw/crystal.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap 
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbgen identity
		depthFunc equal
	}
}

// ************************************************************************
// *******************************  slick  ********************************
// ************************************************************************
// ************************************************************************

textures/ujfm-z3qn5rw/ice
{
	qer_editorimage textures/ujfm-z3qn5rw/ice.tga
	cull none
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm playerclip
	surfaceparm nodamage
	surfaceparm slick
	qer_trans 0.5
	cull none
	{
		map textures/ujfm-z3qn5rw/ice.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
	}
	{
		map textures/ujfm-z3qn5rw/tinfx.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
}

textures/ujfm-z3qn5rw/ice_nonsolid
{
	qer_editorimage textures/ujfm-z3qn5rw/ice.tga
	cull none
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	qer_trans 0.5
	cull none
	{
		map textures/ujfm-z3qn5rw/ice.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
	}
	{
		map textures/ujfm-z3qn5rw/tinfx.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
}

// ************************************************************************
// *******************************  water  ********************************
// ************************************************************************
// ************************************************************************

textures/ujfm-z3qn5rw/water
	{
		qer_editorimage textures/ujfm-z3qn5rw/water1.tga
		qer_trans 0.5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		surfaceparm nomarks
		surfaceparm noimpact
	
		cull disable
		deformVertexes wave 64 sin .25 .25 0 .5	
		{ 
			map textures/ujfm-z3qn5rw/water1.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod scroll .025 .01
		}
	
		{ 
			map textures/ujfm-z3qn5rw/water2.tga
			blendFunc GL_dst_color GL_one
			tcmod scale -.5 -.5
			tcmod scroll .025 .025
		}

	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}

	}


// ************************************************************************
// *****************************  nonsolid  *******************************
// ************************************************************************
// ************************************************************************

textures/ujfm-z3qn5rw/snow_nonsolid:q3map
{
	surfaceparm nonsolid
}

// ************************************************************************
// *****************************  nodamage  *******************************
// ************************************************************************
// ************************************************************************

textures/ujfm-z3qn5rw/frost:q3map
{
	surfaceparm nodamage
}

textures/ujfm-z3qn5rw/snow:q3map
{
	surfaceparm nodamage
}
